*** commands.c.original	Tue Apr 12 17:42:48 2005
--- commands.c	Tue Apr 12 17:39:53 2005
***************
*** 2167,2180 ****
  	if(temp_ptr==NULL)
  		return ERROR;
  	ack_data=strdup(temp_ptr);
- 	
- 	/* acknowledge the host problem */
- 	if(cmd==CMD_ACKNOWLEDGE_HOST_PROBLEM)
- 		acknowledge_host_problem(temp_host,ack_author,ack_data,type,notify,persistent);
  
  	/* acknowledge the service problem */
! 	else
! 		acknowledge_service_problem(temp_service,ack_author,ack_data,type,notify,persistent);
  
  	/* free memory */
  	free(ack_author);
--- 2167,2185 ----
  	if(temp_ptr==NULL)
  		return ERROR;
  	ack_data=strdup(temp_ptr);
  
+ 	/* acknowledge the host problem */
+ 	if(cmd==CMD_ACKNOWLEDGE_HOST_PROBLEM) {
+ 	  if (temp_host->current_state != 0) {
+ 	    acknowledge_host_problem(temp_host,ack_author,ack_data,type,notify,persistent);
+ 	  }
+ 	}
  	/* acknowledge the service problem */
! 	else {
! 	  if (temp_service->current_state != 0) {
! 	  acknowledge_service_problem(temp_service,ack_author,ack_data,type,notify,persistent);
! 	  }
! 	}	
  
  	/* free memory */
  	free(ack_author);
